Subject: RESEND: IFX> FW: [Another take on IPP Fax from Terry Brookes]

From: "Zehler, Peter" <[email-masked]>
Date: Mon, 9 Jul 2001 15:33:03 -0400

Terry,

A couple of comments on your comments:

>IPP also requires infrastructure in the form of IPP servers, so it may not
>meet the stated requirements of 'using existing infrastructure'.

IPP does not require "IPP servers"  IPP only has "Printers" "Clients" and
"Jobs".  The only thing that matches an "IPP server" would be an IPP
Printer.  I would not consider an IPP Printer a part of the infrastructure.
IPP uses components such as HTTP, Security, firewalls and registered MIME
types for content description.  These I would consider infrastructure.  All
of these existing technologies are used without any IPP specific
modifications.  Any FAX  exchange requires similar components at both ends
regardless of the transport scheme.

>Nope, think it's great and would like to see a URI on every business card, 
>but from a business standpoint it doesn't look like a very good way of 
>meeting Mr Maeda's requirements. As far as I can tell he's looking for a
way
>to use the popularity of e-mail as the basis for a simple low cost T30-like

>internet fax machine to replace the 100 million or so traditional fax 
>machines in use. There are estimated to be half a billion fax users, this, 
>presumably, is the target market. I believe its a reasonable assumption
that
>a very large proportion of these users now have e-mail addresses; a rapidly

>growing number use Instant Messaging ( a number which will accelerate 
>dramaticaly when Windows XP appears); but only a very small and exclusive 
>group (the IPP developers ? printer manufacturers ?) appears to have any 
>knowledge whatsoever of IPP. From a technical standpoint Dan's proposal of 
>IPP may be OK, from a marketing standpoint it doesn't look like a very good

>idea because the user won't have anyone to send to, because, despite the 
>valiant efforts of IPP people, hardly anyone actualy uses it. IM could (not

>would!) be a better bet on the basis that it could work very much like T30 
>AND have a large number of people already using it. Not IMPP, which the
Blue
>Window Software Corporation (Redmond WA) is in the process of killing, but 
>Windows IM which will probably be the de facto IM standard by the time Mr 
>Maeda's machine is ready for production.
>My own belief is that FOIP will only be successfull if it's as easy to use 
>as a regular fax machine. POP/SMTP has proved to be much too complex to set

>up, IPP doesn't have a user base even if it *is* imbedded in every printer,

>so maybe IM will be the answer...who knows?

I contend that only a small number of FAX users know anything about ITU
specifications and many don't know the meaning of TIFF.  I doubt your
average email user is very familiar with SMTP or POP-3.  Anyone sending a
traditional FAX or email does know the phone number or email address of the
recipient.  
I believe there is a business case for ifax and IPP FAX.  Ask marketing/end
users if they would be interested in 
1) Sending a FAX around the world through their Internet service provider
avoiding long distance phone charges. 
2) Sending a FAX without encountering a "busy signal".
3) Sending a FAX securely with mutual authentication and encryption.
4) Having the capability of negotiating to a higher fidelity of output.
5) Faxing directly from an application with the best resolution available at
the printer.
6) Receiving confirmation similar to or beyond traditional FAX (i.e.
reception and printed).
7) Having a single device that is connected to both the Internet and the
phone line capable of sending and receiving FAXs via traditional FAX, ifax
or IPP FAX based on availability.

With ifax and IPP FAX we are met with the classic chicken and egg problem.
At least one side has to be built first.  Hopefully the other side will soon
follow.  

IPP has a track record of interoperability across vendor implementations for
clients and printers.  I expect the FAX profile for IPP to meet similar
success.    

By the way, user of Windows XP have IPP Client capability out of the box
just as Windows 2000 users do.  Why would IPP have much of a user base even
though it is available in printers and in Windows given that most printing
is done locally and traditional methods are the easiest to set up in
Windows.  ("where do we want you to go today?")  Windows also have the
capability of acting as IPP Printers.

Pete

				Peter Zehler
				XEROX
				Xerox Architecture Center
				Email: [email-masked]
				Voice:    (716) 265-8755
				FAX:      (716) 265-8792 
				US Mail: Peter Zehler
					        Xerox Corp.
					        800 Phillips Rd.
					        M/S 128-69E 
					        Webster NY, 14580-9701

-----Original Message-----
From: Terry Brookes [mailto:[email-masked]]
Sent: Thursday, July 05, 2001 6:34 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: I-D ACTION:draft-ietf-fax-terminal-mode-goals-00.txt

Hi Ira,

>Do you just dislike IPP?
Nope, think it's great and would like to see a URI on every business card, 
but from a business standpoint it doesn't look like a very good way of 
meeting Mr Maeda's requirements. As far as I can tell he's looking for a way

to use the popularity of e-mail as the basis for a simple low cost T30-like 
internet fax machine to replace the 100 million or so traditional fax 
machines in use. There are estimated to be half a billion fax users, this, 
presumably, is the target market. I believe its a reasonable assumption that

a very large proportion of these users now have e-mail addresses; a rapidly 
growing number use Instant Messaging ( a number which will accelerate 
dramaticaly when Windows XP appears); but only a very small and exclusive 
group (the IPP developers ? printer manufacturers ?) appears to have any 
knowledge whatsoever of IPP. From a technical standpoint Dan's proposal of 
IPP may be OK, from a marketing standpoint it doesn't look like a very good 
idea because the user won't have anyone to send to, because, despite the 
valiant efforts of IPP people, hardly anyone actualy uses it. IM could (not 
would!) be a better bet on the basis that it could work very much like T30 
AND have a large number of people already using it. Not IMPP, which the Blue

Window Software Corporation (Redmond WA) is in the process of killing, but 
Windows IM which will probably be the de facto IM standard by the time Mr 
Maeda's machine is ready for production.
My own belief is that FOIP will only be successfull if it's as easy to use 
as a regular fax machine. POP/SMTP has proved to be much too complex to set 
up, IPP doesn't have a user base even if it *is* imbedded in every printer, 
so maybe IM will be the answer...who knows?

Terry

>From: "McDonald, Ira" <[email-masked]>
>To: "'Terry Brookes'" <[email-masked]>, [email-masked]
>CC: [email-masked], [email-masked], [email-masked]
>Subject: RE: I-D ACTION:draft-ietf-fax-terminal-mode-goals-00.txt
>Date: Tue, 3 Jul 2001 10:27:47 -0700
>
>
>Hi Terry,
>
>Do you just dislike IPP?
>
>For IPP Fax to work, IPP does NOT need to be ubiquitous.  It just
>needs to be ubiquitous in deployed PRINTERS.  Very few printers
>shipped in calendar 2001 that did not have IPP protocol support.
>Probably NONE will ship in calendar 2002 without IPP protocol
>support.
>
>I agree that SMTP is ubiquitous, but it doesn't (and can't ever)
>do realtime capabilities negotiation, by its very nature.
>
>Certainly such protocols as IMPP (your suggestion) are utterly
>inappropriate for sending large documents by VALUE (like IPP)
>and not by REFERENCE.
>
>Could you explain your implacable opposition to IPP Fax, please?
>
>Cheers,
>- Ira McDonald, consulting architect at Sharp and Xerox
>   High North Inc
>
>
>-----Original Message-----
>From: Terry Brookes [mailto:[email-masked]]
>Sent: Tuesday, July 03, 2001 8:30 AM
>To: [email-masked]
>Cc: [email-masked]; [email-masked]; [email-masked]
>Subject: RE: I-D ACTION:draft-ietf-fax-terminal-mode-goals-00.txt
>
>
>
>Hi
>I'd re-phrase the following-
> >IPP exists. <
>
>This would be more accurate-
> >IPP barely exists<
>
>Also 'IPP FAX' certainly does NOT exist...yet.
>
>IPP also requires infrastrucure in the form of IPP servers, so it may not
>meet the stated requirements of 'using existing infrastructure'.
>
>If SMTP really doesn't work for fax terminal mode then strategicaly the new
>Windows Instant Messenger could be a much better bet. It's likely to become
>a de facto standard for the non-AOL IM's, and with IM you get an instant
>response that should allow replication of T30 with great simplicity. You
>also get SIP with Windows IM, which could allow discovery of the
>capabilities of the receiving fax terminal, probably even give you the 
>color
>
>of the operator's hair.
>
>Terry Brookes
>www.polyteq.com
>
>
>
> >From: "Dan Wing" <[email-masked]>
> >To: "Dave Crocker" <[email-masked]>
> >CC: "MAEDA Toru" <[email-masked]>, <[email-masked]>
> >Subject: RE: I-D ACTION:draft-ietf-fax-terminal-mode-goals-00.txt
> >Date: Sat, 30 Jun 2001 17:42:39 -0700
> >
> >
> >Yes, shared code is good.
> >
> >"Fax terminal mode" is an end-to-end service which has much more in 
>common
> >with PSTN fax and T.38 fax than the SMTP model of multiple hops, storing
> >mail,
> >mailing lists, etc.
> >
> >IPP has more in common with transmitting documents than SMTP, and I still
> >say
> >that IPP can provide something more closer approaching the goals of "fax
> >terminal mode" than SMTP.
> >
> >For universal messaging, T.37/RFC2305 is the way to go.  For duplication 
>of
> >exact fax functionality on an IP network, T.38 is the way to go.  While
> >T.38
> >is more difficult than an IETF text-based protocol, forcing SMTP to
> >essentially do 'SAML' (everyone by Dave, see RFC821 for a description of
> >SAML)
> >across multiple hops is hard.
> >
> >If you want something easier than T.38, IPP exists.  IPP can be enhanced 
>as
> >needed to support the features necessary to replicate fax.
> >
> >-d
> >
> > > -----Original Message-----
> > > From: Dave Crocker [mailto:[email-masked]]
> > > Sent: Saturday, June 30, 2001 7:55 AM
> > > To: Dan Wing
> > > Cc: MAEDA Toru; [email-masked]
> > > Subject: RE: I-D ACTION:draft-ietf-fax-terminal-mode-goals-00.txt
> > >
> > >
> > > At 01:39 PM 6/28/2001, Dan Wing wrote:
> > > >I'm unclear on why the ability to fallback requires the original
> > > attempt be in
> > > >SMTP.
> > >
> > >
> > > The more the modes have in common, the more code they share.  That 
>means
> > > that the different modes have less to implement.
> > >
> > > There also might be operational impact, such as retaining an SMTP
> > > connection.
> > >
> > > Retaining interworking with email continues to be a nice ability, too.
> > >
> > > It also makes it easier to evaluate the efficacy of each, different
> > > mode.  The fewer modes the better/simpler.
> > >
> > > d/
> > >
> > > ----------
> > > Dave Crocker  <mailto:[email-masked]>
> > > Brandenburg InternetWorking  <http://www.brandenburg.com>
> > > tel +1.408.246.8253;  fax +1.408.273.6464
> > >
> >
>
>_________________________________________________________________
>Get your FREE download of MSN Explorer at http://explorer.msn.com

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com